com.opensymphony.xwork2.config.entities

## Class ActionConfig

- java.lang.Object
- - com.opensymphony.xwork2.util.location.Located
  - - com.opensymphony.xwork2.config.entities.ActionConfig

- All Implemented Interfaces:
    Locatable, Serializable

      public class ActionConfig
      extends Located
      implements Serializable

  Contains everything needed to configure and execute an action:
  - methodName - the method name to execute on the action. If this is null, the Action will be cast to the Action Interface and the execute() method called
  - clazz - the class name for the action
  - params - the params to be set for this action just before execution
  - results - the result map {String -> View class}
  - resultParameters - params for results {String -> Map}
  - typeConverter - the Ognl TypeConverter to use when getting/setting properties
  Version:
    $Revision$
  Author:
    Mike, Rainer Hermanns
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ActionConfig.Builder` The builder for this object.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected AllowedMethods` | `allowedMethods`
    `protected String` | `className`
    `static String` | `DEFAULT_METHOD`
    `static String` | `DEFAULT_METHOD_REGEX`
    `protected List<ExceptionMappingConfig>` | `exceptionMappings`
    `protected List<InterceptorMapping>` | `interceptors`
    `protected String` | `methodName`
    `protected String` | `name`
    `protected String` | `packageName`
    `protected Map<String,String>` | `params`
    `protected Map<String,ResultConfig>` | `results`
    `protected boolean` | `strictMethodInvocation`
    `static String` | `WILDCARD`

    - ### Fields inherited from class com.opensymphony.xwork2.util.location.Located

      `location`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ActionConfig(ActionConfig orig)` Clones an ActionConfig, copying data into new maps and lists
    `protected` | `ActionConfig(String packageName, String name, String className)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `Set<String>` | `getAllowedMethods()`
    `String` | `getClassName()`
    `List<ExceptionMappingConfig>` | `getExceptionMappings()`
    `List<InterceptorMapping>` | `getInterceptors()`
    `String` | `getMethodName()` Returns name of the action method
    `String` | `getName()`
    `String` | `getPackageName()`
    `Map<String,String>` | `getParams()`
    `Map<String,ResultConfig>` | `getResults()`
    `int` | `hashCode()`
    `boolean` | `isAllowedMethod(String method)`
    `boolean` | `isStrictMethodInvocation()`
    `String` | `toString()`

    - ### Methods inherited from class com.opensymphony.xwork2.util.location.Located

      `getLocation, setLocation`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_METHOD

          public static final String DEFAULT_METHOD

      See Also:
        Constant Field Values

    - #### WILDCARD

          public static final String WILDCARD

      See Also:
        Constant Field Values

    - #### DEFAULT_METHOD_REGEX

          public static final String DEFAULT_METHOD_REGEX

      See Also:
        Constant Field Values

    - #### interceptors

          protected List<InterceptorMapping> interceptors

    - #### params

          protected Map<String,String> params

    - #### results

          protected Map<String,ResultConfig> results

    - #### exceptionMappings

          protected List<ExceptionMappingConfig> exceptionMappings

    - #### className

          protected String className

    - #### methodName

          protected String methodName

    - #### packageName

          protected String packageName

    - #### name

          protected String name

    - #### strictMethodInvocation

          protected boolean strictMethodInvocation

    - #### allowedMethods

          protected AllowedMethods allowedMethods

  - ### Constructor Detail

    - #### ActionConfig

          protected ActionConfig(String packageName,
                                 String name,
                                 String className)

    - #### ActionConfig

          protected ActionConfig(ActionConfig orig)

      Clones an ActionConfig, copying data into new maps and lists
      Parameters:
        `orig` - The ActionConfig to clone
      Since:
        2.1

  - ### Method Detail

    - #### getName

          public String getName()

    - #### getClassName

          public String getClassName()

    - #### getExceptionMappings

          public List<ExceptionMappingConfig> getExceptionMappings()

    - #### getInterceptors

          public List<InterceptorMapping> getInterceptors()

    - #### getAllowedMethods

          public Set<String> getAllowedMethods()

    - #### getMethodName

          public String getMethodName()

      Returns name of the action method
      Returns:
        name of the method to execute

    - #### getPackageName

          public String getPackageName()

      Returns:
        Returns the packageName.

    - #### getParams

          public Map<String,String> getParams()

    - #### getResults

          public Map<String,ResultConfig> getResults()

    - #### isAllowedMethod

          public boolean isAllowedMethod(String method)

    - #### isStrictMethodInvocation

          public boolean isStrictMethodInvocation()

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2000–2024 Apache Software Foundation. All rights reserved.